// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from example_interfaces:srv/Trigger.idl
// generated code does not contain a copyright notice

#ifndef EXAMPLE_INTERFACES__SRV__DETAIL__TRIGGER__STRUCT_H_
#define EXAMPLE_INTERFACES__SRV__DETAIL__TRIGGER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include "rosidl_runtime_c/type_hash.h"

static const rosidl_type_hash_t example_interfaces__srv__Trigger__TYPE_VERSION_HASH = {1, {
  0xe4, 0x47, 0x75, 0xdb, 0x30, 0x84, 0x66, 0xb2, 
  0xa8, 0x49, 0xb1, 0x70, 0x1b, 0xd6, 0xd6, 0xd7, 
  0x6c, 0x9f, 0x37, 0x91, 0x03, 0x1a, 0x95, 0x00, 
  0x30, 0x5c, 0xc0, 0x33, 0xd1, 0xd3, 0xd9, 0x4b, 
}};


// Constants defined in the message

/// Struct defined in srv/Trigger in the package example_interfaces.
typedef struct example_interfaces__srv__Trigger_Request
{
  uint8_t structure_needs_at_least_one_member;
} example_interfaces__srv__Trigger_Request;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__Trigger_Request__TYPE_VERSION_HASH = {1, {
  0xd6, 0x28, 0x9b, 0x92, 0xd5, 0x56, 0xd5, 0xec, 
  0x95, 0xad, 0xc1, 0xe0, 0x94, 0xb1, 0x1d, 0xc7, 
  0x04, 0x7c, 0x00, 0xa5, 0xde, 0xae, 0x3e, 0x73, 
  0x16, 0x80, 0x72, 0x06, 0xb1, 0xaa, 0xed, 0xc1, 
}};

// Struct for a sequence of example_interfaces__srv__Trigger_Request.
typedef struct example_interfaces__srv__Trigger_Request__Sequence
{
  example_interfaces__srv__Trigger_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__Trigger_Request__Sequence;


// Constants defined in the message

// Include directives for member types
// Member 'message'
#include "rosidl_runtime_c/string.h"

/// Struct defined in srv/Trigger in the package example_interfaces.
typedef struct example_interfaces__srv__Trigger_Response
{
  /// indicate successful run of triggered service
  bool success;
  /// informational, e.g. for error messages.
  rosidl_runtime_c__String message;
} example_interfaces__srv__Trigger_Response;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__Trigger_Response__TYPE_VERSION_HASH = {1, {
  0x79, 0x6d, 0x1f, 0x9e, 0x12, 0xe1, 0x9e, 0x75, 
  0x91, 0xb3, 0x35, 0x4c, 0x04, 0xdb, 0xa5, 0xa4, 
  0x55, 0xc0, 0x4e, 0x42, 0x19, 0x9b, 0x67, 0xc4, 
  0xff, 0xc7, 0xe7, 0x3b, 0x44, 0xf9, 0x32, 0x6d, 
}};

// Struct for a sequence of example_interfaces__srv__Trigger_Response.
typedef struct example_interfaces__srv__Trigger_Response__Sequence
{
  example_interfaces__srv__Trigger_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__Trigger_Response__Sequence;


// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  example_interfaces__srv__Trigger_Event__request__MAX_SIZE = 1
};
// response
enum
{
  example_interfaces__srv__Trigger_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/Trigger in the package example_interfaces.
typedef struct example_interfaces__srv__Trigger_Event
{
  service_msgs__msg__ServiceEventInfo info;
  example_interfaces__srv__Trigger_Request__Sequence request;
  example_interfaces__srv__Trigger_Response__Sequence response;
} example_interfaces__srv__Trigger_Event;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__Trigger_Event__TYPE_VERSION_HASH = {1, {
  0x39, 0xfb, 0x42, 0xb3, 0xfb, 0x0a, 0x1b, 0x6b, 
  0xa1, 0x28, 0x59, 0x48, 0x62, 0xda, 0x53, 0xb5, 
  0x45, 0x19, 0xa3, 0x21, 0x41, 0xb1, 0x18, 0x31, 
  0x1c, 0xe2, 0x3b, 0xee, 0x68, 0xcb, 0xb5, 0x4e, 
}};

// Struct for a sequence of example_interfaces__srv__Trigger_Event.
typedef struct example_interfaces__srv__Trigger_Event__Sequence
{
  example_interfaces__srv__Trigger_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__Trigger_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // EXAMPLE_INTERFACES__SRV__DETAIL__TRIGGER__STRUCT_H_
