// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from example_interfaces:srv/SetBool.idl
// generated code does not contain a copyright notice

#ifndef EXAMPLE_INTERFACES__SRV__DETAIL__SET_BOOL__STRUCT_H_
#define EXAMPLE_INTERFACES__SRV__DETAIL__SET_BOOL__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include "rosidl_runtime_c/type_hash.h"

static const rosidl_type_hash_t example_interfaces__srv__SetBool__TYPE_VERSION_HASH = {1, {
  0x9e, 0x27, 0xcf, 0x4f, 0x56, 0xfe, 0x74, 0x1a, 
  0x11, 0x44, 0xaa, 0xd2, 0xb8, 0xaa, 0x57, 0x2d, 
  0x04, 0x8a, 0x77, 0x4f, 0xa0, 0x16, 0xa5, 0xbe, 
  0xe0, 0xf9, 0x84, 0x4f, 0x40, 0x6e, 0x67, 0x71, 
}};


// Constants defined in the message

/// Struct defined in srv/SetBool in the package example_interfaces.
typedef struct example_interfaces__srv__SetBool_Request
{
  /// e.g. for hardware enabling / disabling
  bool data;
} example_interfaces__srv__SetBool_Request;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__SetBool_Request__TYPE_VERSION_HASH = {1, {
  0x31, 0x2c, 0x62, 0xd3, 0x21, 0xa3, 0x42, 0x0c, 
  0x00, 0x55, 0xa3, 0x5f, 0x94, 0x9d, 0x26, 0xf6, 
  0xfb, 0xbf, 0xed, 0x79, 0x1b, 0x18, 0x62, 0xed, 
  0xa5, 0x29, 0x36, 0x32, 0x5b, 0x0f, 0xaa, 0x39, 
}};

// Struct for a sequence of example_interfaces__srv__SetBool_Request.
typedef struct example_interfaces__srv__SetBool_Request__Sequence
{
  example_interfaces__srv__SetBool_Request * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__SetBool_Request__Sequence;


// Constants defined in the message

// Include directives for member types
// Member 'message'
#include "rosidl_runtime_c/string.h"

/// Struct defined in srv/SetBool in the package example_interfaces.
typedef struct example_interfaces__srv__SetBool_Response
{
  /// indicate successful run of triggered service
  bool success;
  /// informational, e.g. for error messages
  rosidl_runtime_c__String message;
} example_interfaces__srv__SetBool_Response;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__SetBool_Response__TYPE_VERSION_HASH = {1, {
  0xa2, 0x16, 0x4f, 0x57, 0x9f, 0xc4, 0x32, 0x77, 
  0x05, 0x4e, 0x15, 0xaa, 0x2b, 0x2e, 0x76, 0xb9, 
  0x6f, 0x4f, 0x6f, 0x53, 0x55, 0xce, 0x14, 0x5d, 
  0xc4, 0xad, 0x45, 0xaa, 0xe8, 0x18, 0x24, 0xb6, 
}};

// Struct for a sequence of example_interfaces__srv__SetBool_Response.
typedef struct example_interfaces__srv__SetBool_Response__Sequence
{
  example_interfaces__srv__SetBool_Response * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__SetBool_Response__Sequence;


// Constants defined in the message

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__struct.h"

// constants for array fields with an upper bound
// request
enum
{
  example_interfaces__srv__SetBool_Event__request__MAX_SIZE = 1
};
// response
enum
{
  example_interfaces__srv__SetBool_Event__response__MAX_SIZE = 1
};

/// Struct defined in srv/SetBool in the package example_interfaces.
typedef struct example_interfaces__srv__SetBool_Event
{
  service_msgs__msg__ServiceEventInfo info;
  example_interfaces__srv__SetBool_Request__Sequence request;
  example_interfaces__srv__SetBool_Response__Sequence response;
} example_interfaces__srv__SetBool_Event;

// Type Version Hash for interface
static const rosidl_type_hash_t example_interfaces__srv__SetBool_Event__TYPE_VERSION_HASH = {1, {
  0x9a, 0xed, 0x62, 0xb1, 0xf4, 0x2e, 0xec, 0xa8, 
  0x4c, 0x5f, 0xea, 0xc9, 0x73, 0xa0, 0x19, 0x11, 
  0xd3, 0x1f, 0xeb, 0x69, 0xf3, 0xe8, 0x11, 0x68, 
  0xdb, 0x09, 0xd6, 0x92, 0x5d, 0x49, 0x6d, 0x90, 
}};

// Struct for a sequence of example_interfaces__srv__SetBool_Event.
typedef struct example_interfaces__srv__SetBool_Event__Sequence
{
  example_interfaces__srv__SetBool_Event * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} example_interfaces__srv__SetBool_Event__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // EXAMPLE_INTERFACES__SRV__DETAIL__SET_BOOL__STRUCT_H_
